
#include "simulator.hxx"
#include <fstream>



Event Simulator::nextEvent() { 
  Event e = evtList_.top();

  evtList_.pop();
  return e;
}

void  Simulator::addEvent(Event e) {

  if ( e.getDate() <= maxTime_ )
    evtList_.push( e );
}

void Simulator::reset() {
  while ( !evtList_.empty() )
    evtList_.pop();
}



void Simulator::run() {

  // PLACER VOTRE CODE ICI !!

}


void Simulator::printTrajectory(char * fileName) {
  ofstream        outFile(fileName);

  if ( !outFile ) { 
    cerr << "creation of output file failed\n";  
    exit(-1);
  }

  for (int k=0; k<nbSteps_-1; k++)
    outFile << k*delta_ << "   " << trajectory_[k] << endl;

  outFile.close();
}


void Simulator::printStationaryParameters() {

  // PLACER VOTRE CODE ICI !!
}
